> ## Documentation Index
> Fetch the complete documentation index at: https://docs.toku.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get My Trading Plans Scheduled Sales

> Returns upcoming scheduled sales derived from the caller's trading plans.

Not available to API keys.

## OpenAPI

````yaml api-reference/openapi.json POST /tga/get-my-trading-plans-scheduled-sales
openapi: 3.1.0
info:
  title: Toku API
  version: 1.0.0
servers:
  - url: https://api.toku.com
security:
  - bearerAuth: []
paths:
  /tga/get-my-trading-plans-scheduled-sales:
    post:
      operationId: getMyTradingPlansScheduledSales
      summary: Get My Trading Plans Scheduled Sales
      description: >-
        Returns upcoming scheduled sales derived from the caller's trading
        plans.


        Not available to API keys.
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/GetMyTradingPlansScheduledSalesRequest'
      responses:
        '200':
          description: Successful response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/GetMyTradingPlansScheduledSalesResponse'
        '400':
          description: Bad request
        '401':
          description: Unauthorized
        '403':
          description: Forbidden
        '404':
          description: Not found
        '409':
          description: Conflict
        '429':
          description: Response 429
components:
  schemas:
    GetMyTradingPlansScheduledSalesRequest: {}
    GetMyTradingPlansScheduledSalesResponse:
      type: array
      items:
        type: object
        properties:
          orderID:
            type: string
          grantName:
            type: string
          grantID:
            type: string
          executionDate:
            type: string
          tokensScheduledForSale:
            type: string
            pattern: ^-?\d+(?:\.\d+)?(?:e[+-]?\d+)?$
          tokensSoldFor:
            type: string
            enum:
              - EURC
              - USDC
              - USDT
          minSalePrice:
            type: string
            pattern: ^-?\d+(?:\.\d+)?(?:e[+-]?\d+)?$
        required:
          - orderID
          - grantName
          - grantID
          - executionDate
          - tokensScheduledForSale
          - tokensSoldFor
          - minSalePrice
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
````
